Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_CORBA_Policy_destroy Class Reference

Inheritance diagram for TAO_ClientRequestInfo_CORBA_Policy_destroy:

[legend]
Collaboration diagram for TAO_ClientRequestInfo_CORBA_Policy_destroy:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_CORBA_Policy_destroy (TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Return the list of arguments passed to the current operation. More...
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Return the list of exceptions the current operation is capable of throwing. More...
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. More...
## Private Methods
| TAO_ClientRequestInfo_CORBA_Policy_destroy (const TAO_ClientRequestInfo_CORBA_Policy_destroy &)
void | operator= (const TAO_ClientRequestInfo_CORBA_Policy_destroy &)

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_CORBA_Policy_destroy::TAO_ClientRequestInfo_CORBA_Policy_destroy | ( | TAO_GIOP_Invocation * | _tao_invocation,
|  | CORBA::Object_ptr _tao_target | ACE_ENV_ARG_DECL_NOT_USED
| ) |

TAO_ClientRequestInfo_CORBA_Policy_destroy::TAO_ClientRequestInfo_CORBA_Policy_destroy | ( | const TAO_ClientRequestInfo_CORBA_Policy_destroy & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_CORBA_Policy_destroy::arguments | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of arguments passed to the current operation. Reimplemented from TAO_ClientRequestInfo_i.

Dynamic::ExceptionList * TAO_ClientRequestInfo_CORBA_Policy_destroy::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of exceptions the current operation is capable of throwing. Reimplemented from TAO_ClientRequestInfo_i.

void TAO_ClientRequestInfo_CORBA_Policy_destroy::operator= | ( | const TAO_ClientRequestInfo_CORBA_Policy_destroy & |  | ) | `[private]`

CORBA::Any * TAO_ClientRequestInfo_CORBA_Policy_destroy::result | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. Reimplemented from TAO_ClientRequestInfo_i.

The documentation for this class was generated from the following file:

- PolicyC.cpp